<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="40dp">

    <LinearLayout
        android:id="@+id/load_more_loading_view"
        style="@style/MatchMatch.Horizontal"
        android:gravity="center">

        <ProgressBar
            android:id="@+id/loading_progress"
            style="?android:attr/progressBarStyleSmall"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="4dp" />

        <TextView
            android:id="@+id/loading_text"
            style="@style/text_green12_ww"
            android:layout_marginStart="4dp"
            android:text="@string/brvah_loading" />
    </LinearLayout>

    <FrameLayout
        android:id="@+id/load_more_load_fail_view"
        style="@style/MatchMatch"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_prompt"
            style="@style/text_red12_ww"
            android:layout_gravity="center"
            android:text="@string/brvah_load_failed" />

    </FrameLayout>

    <FrameLayout
        android:id="@+id/load_more_load_complete_view"
        style="@style/MatchMatch"
        android:visibility="gone">

        <TextView
            style="@style/text_gray12_ww"
            android:layout_gravity="center"
            android:text="@string/brvah_load_end" />
    </FrameLayout>

    <FrameLayout
        android:id="@+id/load_more_load_end_view"
        style="@style/MatchMatch"
        android:visibility="gone">

        <TextView
            style="@style/text_gray12_ww"
            android:layout_gravity="center"
            android:text="@string/brvah_load_end" />
    </FrameLayout>
</FrameLayout>